Guarding against intrusion attempts

Guarding against intrusion attempts copyright 2004 Symantec

Norton Internet Security allows you to protect your computer against hackers and other Internet intruders. You can assess your level of protection, configure safe computer access, and prepare to react if your computer is attacked.

More Information

Check your computer's vulnerability to attack
Turn on file and printer sharing on a protected computer
Use the Internet Explorer toolbar
Stop all Internet communication
Respond to security protection alerts


Check your computer's vulnerability to attack

Check your computer's vulnerability to attack copyright 2004 Symantec

Use Security Check to test your computer's vulnerability to security intrusions. The Security Check link in Norton Internet Security connects you to the Symantec Web site, where you can scan for vulnerabilities and get detailed information about Security Check scans.

You must be connected to the Internet to check your computer's vulnerability.

To check your computer's vulnerability to attack

  1. In the main window, click Security.
  2. Click Check Security.
  3. On the Security Check Web page, click Scan for Security Risks.
  4. To learn more about the Security Check tests, click About Scan for Security Risks.

When the scan is complete, the results page lists all of the areas that were checked and your level of vulnerability in each one. For any area marked as at risk, you can get more details about the problem and how to fix it.

To get more information about an at-risk area

  • On the results page, next to the scan name, click Show Details.

More Information

Respond to security protection alerts
Use the Internet Explorer toolbar
Turn on file and printer sharing on a protected computer
Stop all Internet communication


Turn on file and printer sharing on a protected computer

Turn on file and printer sharing on a protected computer copyright 2004 Symantec

Microsoft networking provides file and printer sharing. By default, Norton Internet Security prevents any computers from accessing these services on a protected computer.

To share files and allow computers on your local network to print to your computer's printer, you can turn on file and printer sharing. If you turn on these features on your local network, they are still protected from malicious users on the Internet.

Before enabling file and printer sharing on your local network, ensure that each shared resource is protected by a secure password. To learn more about securing shared resources, check the Windows Help file on your Start menu.

To turn on file and printer sharing

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Advanced tab, click General.
  3. In the General Rules window, select the entry for Windows file sharing and printer sharing.
  4. Click Modify.
  5. In the Modify Rule dialog box, on the Action tab, click Permit.
  6. Click OK.
  7. In the General Rules dialog box, click OK.
  8. In the Advanced Firewall window, click OK.

More Information


Use the Internet Explorer toolbar

Use the Internet Explorer toolbar copyright 2004 Symantec

Norton Internet Security adds a button and menu to Internet Explorer.

When you first start Internet Explorer after installing Norton Internet Security, you may not see the Norton Internet Security button and menu. You might have to restart Windows before the toolbar button appears.

You may not be able to access the Norton Internet Security Internet Explorer menu, depending on your computer's configuration.

To display the Norton Internet Security button and menu

  • In Internet Explorer, on the View menu, click Toolbars > Norton Internet Security.

The Norton Internet Security button and menu lets you customize Norton Internet Security settings for individual Web sites without leaving your browser.

The Norton Internet Security menu includes the following tasks.

Block cookies on this site | Prevents this site from setting or reading cookie files.
Block ads on this site | Removes ad images from pages on this site.
Block popups on this site | Prevents this site from opening unrequested browser windows.
Hide Toolbar Text | Displays the Norton Internet Security icon without the text.
Web Contents Options | Opens the Norton Internet Security Web Contents Options window.
Configure security settings | Opens the main Norton Internet Security window.

More Information


Stop all Internet communication

Stop all Internet communication copyright 2004 Symantec

Block Traffic lets you immediately halt any communication between your computer and another. This can be a convenient way to limit any damage to your computer if it is attacked, if a Trojan horse is sending personal information without your permission, or if you inadvertently allow an untrusted person to access files on your computer.

When traffic is blocked, Norton Internet Security stops all communication to and from your computer. To the outside world, it appears that your computer has completely disconnected from the Internet.

If you want to block all traffic into and out of your computer, Block Traffic is more effective than simply using your Internet software to disconnect. Most Internet programs can automatically connect without any input from the user, so a malicious program could reconnect when you are away from the computer.

Block Traffic is meant to be used as a temporary measure while you address a security problem. If you restart your computer, Norton Internet Security automatically allows all incoming and outgoing communication.

To stop all Internet communication using Block Traffic

  1. In the main window, click Block Traffic.
  2. In the Warning dialog box that appears, read the text, and then click OK.
  3. Use Norton Internet Security tools to address the security problem.
  4. When you have fixed the problem, click Allow Traffic.

More Information

Respond to security protection alerts
Use the Internet Explorer toolbar
Check your computer's vulnerability to attack
Turn on file and printer sharing on a protected computer


Respond to security protection alerts

Respond to security protection alerts copyright 2004 Symantec

When a Norton Internet Security alert appears, read it before you make a decision. Identify what type of alert it is and the threat level. Once you understand the risks, you can make a choice.

Take as much time as you need to make your choice. Your computer is safe from attack while the alert is active.

Norton Internet Security helps you decide on an appropriate action by preselecting the recommended action if one exists. Norton Internet Security cannot suggest recommended actions for all alerts.

The first alert most people will receive is a New Location Alert. This alert appears every time your computer joins a network that Network Detector does not recognize. You will likely receive a New Location Alert the first time you go online after installing Norton Internet Security.

More Information

Learn more with the Alert Assistant
Use the Internet Explorer toolbar
Turn on file and printer sharing on a protected computer
Check your computer's vulnerability to attack
Stop all Internet communication
 Customizing protection for different locations


Learn more with the Alert Assistant

Learn more with the Alert Assistant copyright 2004 Symantec

Each Norton Internet Security alert includes a link to the Alert Assistant. The Alert Assistant includes customized information about each alert, including:

  • The type of alert
  • The threat level
  • The communication that triggered this alert
  • What these types of alerts indicate
  • How to reduce the number of these alerts you receive

To use the Alert Assistant

  1. In any alert, click Alert Assistant.
  2. In the Alert Assistant window, review the information about the alert.
  3. To respond to the alert, close the Alert Assistant.

More Information

Respond to security protection alerts